<?
require_once ('Settings.php');
mysql_connect($db_server,$db_user,$db_passwd);
mysql_select_db($db_name);
$query = mysql_query("SELECT ID_TOPIC, numReplies FROM smf_topics AS t INNER JOIN smf_boards AS b ON t.ID_BOARD=b.ID_BOARD WHERE b.ID_BOARD NOT IN (13,8,14,20,21,22,26)") or die(mysql_error());
echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
?>
<urlset xmlns="http://www.google.com/schemas/sitemap/0.84">
<?
while($row = mysql_fetch_row($query)) {
	if(empty($row[0])) continue;
?>
  <url>
    <loc>http://rock.ru/forum/index.php?topic=<?=$row[0]?></loc>
    <changefreq>daily</changefreq>
</url>
<?
}
?>
</urlset>
